package com.izouma.awesomeadmin.model;


import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


/**
 * power_info 实体类
 * Wed Apr 11 11:04:02 CST 2018  Suo Chen Cheng
 */ 
@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class PowerInfo{

	private Integer id;

	private Integer roleId;

	private Integer menuId;

	private Integer canAdd;

	private Integer canDelete;

	private Integer canUpdate;

	private Integer canSelect;

	private String delFlag;
	private String roleIdStr;

	public String getRoleIdStr() {
		return roleIdStr;
	}

	public void setRoleIdStr(String roleIdStr) {
		this.roleIdStr = roleIdStr;
	}

	public void setId(Integer id){
		this.id=id;
	}

	public Integer getId(){
		return id;
	}

	public void setRoleId(Integer roleId){
		this.roleId=roleId;
	}

	public Integer getRoleId(){
		return roleId;
	}

	public void setMenuId(Integer menuId){
		this.menuId=menuId;
	}

	public Integer getMenuId(){
		return menuId;
	}

	public void setCanAdd(Integer canAdd){
		this.canAdd=canAdd;
	}

	public Integer getCanAdd(){
		return canAdd;
	}

	public void setCanDelete(Integer canDelete){
		this.canDelete=canDelete;
	}

	public Integer getCanDelete(){
		return canDelete;
	}

	public void setCanUpdate(Integer canUpdate){
		this.canUpdate=canUpdate;
	}

	public Integer getCanUpdate(){
		return canUpdate;
	}

	public void setCanSelect(Integer canSelect){
		this.canSelect=canSelect;
	}

	public Integer getCanSelect(){
		return canSelect;
	}

	public void setDelFlag(String delFlag){
		this.delFlag=delFlag;
	}

	public String getDelFlag(){
		return delFlag;
	}

}

